/***************************************************************************

  RIOT 6532 emulation

***************************************************************************/

#include "memory.h"


struct R6532interface
{
	read8_handler portA_r;
	read8_handler portB_r;

	write8_handler portA_w;
	write8_handler portB_w;
};


extern void r6532_init(int n, const struct R6532interface* RI);

extern READ_HANDLER( r6532_0_r );
extern READ_HANDLER( r6532_1_r );

extern WRITE_HANDLER( r6532_0_w );
extern WRITE_HANDLER( r6532_1_w );
